Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
app Make sure to check a string, not a method 🙈 May 16, 2018
bin
config Fix typo in production.rb Jan 11, 2018
db Allow server to be installed as other user then root Nov 23, 2016
doc Make installation easy Aug 26, 2016
lib
log
public
scripts Allow user to enabled swap Sep 1, 2016
test
vendor/assets
.codeclimate.yml
.csslintrc
.eslintignore
.eslintrc Add config for Codeclimate (#138) May 12, 2016
.gitattributes Validate app name scoped down to the server (#108) Apr 25, 2016
.gitignore
.rubocop.yml Update Rubocop to latest version Dec 1, 2017
.ruby-version Upgrade rails to 5.1 Dec 1, 2017
.sample.env
CHANGELOG Run certain commands as sudo May 16, 2018
CODE_OF_CONDUCT.md
Gemfile
Gemfile.lock
LICENSE
Procfile
README.md
Rakefile Initial commit Nov 18, 2015
VERSION Prepare for the 0.4-stable release Dec 1, 2017
Vagrantfile
coffeelint.json Add config for Codeclimate (#138) May 12, 2016
config.ru Add all new rails 5 files and update tests to prevend errors Apr 11, 2016

README.md

Intercity Next

Build Status Code Climate

Requirements

  • Any Ubuntu 14.04 or 16.04 LTS server.
  • 1024 MB ram. 512 is possible, but requires swap of at least 1gb.

Installation on production server

For installation instructions, please see our install manual

Set up your Dev environment

  1. Make sure you have Postgresql installed
  2. Clone this repo
  3. Run bin/setup
  4. Start the app with foreman start

Support

You can use Github Issues, or join us on freenode in #intercity

Contributing

We encourage you to contribute to Intercity! Join us!

Everyone interacting in Intercity and its sub-projects' codebases, issue trackers, chat rooms, and mailing lists is expected to follow the Intercity code of conduct.